import {StyleSheet, Dimensions} from 'react-native';
const width = Dimensions.get('window').width;

export const styles = StyleSheet.create({
  mainContainer: {
    backgroundColor: '#0082f0',
    flex: 1,
  },
  Header: {
    backgroundColor: '#0082f0',
    elevation: 0,
    paddingTop: 25,
  },
  TextHeader: {
    color: 'white',
    marginRight: 15,
    fontWeight: 'bold',
    fontSize: 18,
  },
  IconHeader: {
    marginLeft: 15,
    color: 'white',
  },
  ContentStyle: {
    flex: 1,
    backgroundColor: '#fff',
    borderTopRightRadius: 30,
    borderTopLeftRadius: 30,
    paddingVertical: 20,
    marginBottom: 45,
  },
  TextInputSpecial: {
    elevation: 2,
    backgroundColor: '#FFFF',
    marginBottom: 10,
    paddingHorizontal: 10,
    borderRadius: 10,
    height: 50,
  },
  ImageHeader: {
    height: 50,
    width: 50,
    borderRadius: 25,
    alignItems: 'center',
    backgroundColor: '#FFFF',
    justifyContent: 'center',
  },
  renderHeader: {
    padding: 10,
    alignItems: 'center',
    justifyContent: 'center',
  },
  TextRender: {
    fontSize: 17,
    textAlign: 'center',
    color: 'white',
  },
  FlatList: {
    marginVertical: 10,
    backgroundColor: 'transparent',
  },
  HeaderWrapper: {
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'transparent',
  },
  Carousel: {
    marginHorizontal: 15,
    backgroundColor: '#fff',
    marginTop: 10,
    borderTopRightRadius: 30,
    borderTopLeftRadius: 30,
  },
  carouselItem: {
    borderTopRightRadius: 30,
    borderTopLeftRadius: 30,
    overflow: 'hidden',
    flex: 1,
  },
  ImageCarousel: {
    alignSelf: 'center',
    width: width,
    height: 200,
  },
  AdrData: {
    backgroundColor: '#eeeeee',
    padding: 15,
    margin: 15,
  },
  AdrNames: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  AdrDsc: {
    paddingTop: 10,
  },
  AdrName: {},
  AdrOrigin: {},
  AdrLocation: {
    backgroundColor: '#BEC2C3',
    padding: 5,
    paddingHorizontal: 10,
    borderRadius: 15,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
  },
  AdrTextDsc: {
    fontSize: 20,
  },
  AdrIcon: {
    fontSize: 16,
    marginLeft: 5,
  },
  CostData: {
    flexDirection: 'row',
    justifyContent: 'space-around',
    borderTopColor: '#eee',
    borderBottomColor: '#eee',
    borderTopWidth: 1,
    borderBottomWidth: 1,
    paddingVertical: 15,
    marginHorizontal: 15,
  },
  BuyData: {
    alignItems: 'center',
  },
  OffData: {alignItems: 'center'},
  PriceData: {alignItems: 'center'},
  PriceDataText: {
    marginBottom: 5,
    fontSize: 18,
    color: '#0082f0',
  },
  OffDataText: {},
  BuyDataText: {},
  PriceDataOffText: {
    textDecorationLine: 'line-through',
  },
  BuyDataIcon: {},
  OffDataIcon: {
    opacity: 0.8,
    width: 25,
    height: 25,
    backgroundColor: 'black',
    fontSize: 17,
    textAlign: 'center',
    borderRadius: 12.5,
    marginBottom: 5,
    color: 'white',
    textAlignVertical: 'center',
  },
  DescriptionSellerData: {
    padding: 15,
  },
  DescriptionSellerDataText: {},
  DescriptionSellerIcon: {
    backgroundColor: '#0082f0',
    height: 15,
    width: 15,
    borderRadius: 7.5,
    marginRight: 10,
  },
  DescriptionSellerTitle: {
    flexDirection: 'row-reverse',
    justifyContent: 'flex-end',
    alignItems: 'center',
  },
  DescriptionSellerText: {
    fontSize: 20,
    marginTop: 10,
  },
  TimeDate: {
    padding: 15,
    elevation: 3,
    borderRadius: 10,
    backgroundColor: '#FFFF',
    margin: 15,
    marginBottom: 30,
  },
  UseTime: {
    marginBottom: 10,
  },
  TimeTextWrapper: {
    flexDirection: 'row',
    alignItems: 'center',
  },
  TimeText: {
    fontSize: 16,
    color: '#7C7F80',
  },
  TimeIcon: {
    marginRight: 5,
  },
  DateData: {
    paddingLeft: 20,
  },
  TextPhone: {
    fontSize: 14,
    color: 'black',
  },
  map: {
    flex: 1,
    width: width - 30,
    height: 250,
    alignSelf: 'center',
    marginBottom: 20,
  },
  Comments: {
    borderRadius: 5,
    borderColor: '#aaa',
    borderWidth: 1,
    marginHorizontal: 15,
    marginBottom: 30,
    padding: 15,
  },
  DscComment: {fontSize: 17, paddingTop: 10},
  personIcon: {
    fontSize: 20,
    marginRight: 5,
    color: '#0082f0',
  },
  WrapperPerson: {
    flexDirection: 'row-reverse',
    justifyContent: 'flex-end',
    alignItems: 'center',
  },
  CommentPerson: {
    borderBottomColor: '#eaeaea',
    borderBottomWidth: 1,
    paddingBottom: 10,
  },
  personText: {color: '#0082f0', fontSize: 20},
  CommentDate: {color: '#7C7F80', paddingLeft: 20},
  AddComment: {
    marginBottom: 30,
    marginHorizontal: 15,
  },
  AddcommentIcon: {
    marginRight: 5,
    color: '#0082f0',
  },
  CommentTitleText: {color: '#0082f0', fontSize: 18},
  AddCommentTitle: {
    flexDirection: 'row-reverse',
    justifyContent: 'flex-end',
    alignItems: 'center',
  },
  InputWrapper: {},
  InputItem: {
    marginVertical: 5,
  },
  InputText: {
    borderRadius: 5,
    borderColor: '#aaaaaa',
    paddingHorizontal: 10,
    paddingVertical: 5,
    borderWidth: 1,
    marginLeft: 20,
    marginTop: 5,
  },
  ShowMore: {
    flex: 1,
    justifyContent: 'center',
    padding: 10,
    backgroundColor: '#0082f0',
    marginHorizontal: 15,
    borderRadius: 10,
    marginBottom: 15,
  },
  ShowMoreText: {
    textAlign: 'center',
    color: 'white',
  },
  InputTextDsc: {
    borderRadius: 5,
    borderColor: '#aaaaaa',
    paddingHorizontal: 10,
    paddingVertical: 5,
    textAlignVertical: 'top',
    height: 100,
    borderWidth: 1,
    marginLeft: 20,
    marginTop: 5,
  },
  SubmitComment: {
    flex: 1,
    alignSelf: 'flex-start',
    padding: 10,
    width: width * 0.5,
    backgroundColor: '#0082f0',
    borderRadius: 10,
    marginTop: 10,
  },
  TextEmpty: {
    textAlign: 'center',
    fontSize: 17,
  },
  Empty: {
    padding: 15,
    marginHorizontal: 15,
    borderTopColor: '#eaeaea',
    borderTopWidth: 1,
    borderBottomColor: '#eaeaea',
    borderBottomWidth: 1,
  },
  fixBtn: {
    flex: 1,
    position: 'absolute',
    bottom: 0,
    right: 0,
    left: 0,
    backgroundColor: '#0082f0',
    alignItems: 'center',
    flexDirection: 'row-reverse',
    justifyContent: 'center',
    padding: 10,
  },
  fixBtnText: {color: 'white', fontWeight: 'bold', fontSize: 20, marginLeft: 5},
  fixBtnIcon: {color: 'white'},
  modalBuyWrapper: {
    marginHorizontal: 0,
    alignItems: 'flex-end',
    justifyContent: 'flex-end',
    marginBottom: 0,
  },
  modalView: {
    backgroundColor: '#fff',
    borderTopRightRadius: 10,
    borderTopLeftRadius: 10,
    width: '100%',
    marginHorizontal: 0,
    padding: 15,
  },
  AcceptBtn: {
    backgroundColor: 'green',
    padding: 10,
    paddingHorizontal: 20,
    alignItems: 'center',
    justifyContent: 'center',
    width: 150,
    borderRadius: 10,
  },
  AcceptBtnText: {
    color: 'white',
    fontSize: 18,
  },
  CountWrapper: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
  },
  CountUp: {
    backgroundColor: '#0082f0',
    borderRadius: 5,
    width: 30,
    height: 30,
    justifyContent: 'center',
    alignItems: 'center',
  },
  CountUpText: {
    color: 'white',
    fontSize: 24,
  },
  CountView: {
    borderColor: '#0082f0',
    borderWidth: 0.7,
    justifyContent: 'center',
    alignItems: 'center',
    paddingHorizontal: 10,
    paddingVertical: 5,
    marginHorizontal: 5,
    borderRadius: 5,
  },
  Countnum: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  ModalError: {
    backgroundColor: '#fff',
    borderRadius: 10,
    height: 200,
    width: '80%',
    alignItems: 'center',
    justifyContent: 'center',
    alignSelf: 'center',
  },
  waitText: {
    marginTop: 10,
  },
  TextDsc: {marginTop: 10, fontSize: 16, textAlign: 'center'},
});

export default styles;
